/* $Id$ */
#if !defined CMSPROFILE_H
#define CMSPROFILE_H

#if !defined TRUE
#define TRUE !0
#define FALSE 0
#endif /* !TRUE */

typedef struct cms_profile CmsProfile;

CmsProfile *cmsProfile_open_mem(void *ptr, size_t len);
CmsProfile *cmsProfile_open_file(const char *filename);
CmsProfile *cmsProfile_open_sRGB(void);
CmsProfile *cmsProfile_open_chromaticities(double white_x, double white_y,
                                           double red_x, double red_y,
                                           double green_x, double green_y,
                                           double blue_x, double blue_y,
                                           double gamma_of_file);
CmsProfile *cmsProfile_open_temp(int tempK, double gamma_of_file, int rgb_profile);
int cmsProfile_close(CmsProfile *profile);

#endif /* !CMSPROFILE_H */
